StringConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.StringConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface StringConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface StringConstants

Simple string constants

Field Summary
`static java.lang.String` | `AJAX_ELEMENT` AJAX Constants
`static java.lang.String` | `AJAX_OBJECT`
`static java.lang.String` | `CHANGE_OWNER_TITLE`
`static java.lang.String` | `COOKIE_HIDE_HELP`
`static java.lang.String` | `DASHBOARD_DELIMITER`
`static java.lang.String` | `DAYS_LABEL`
`static java.lang.String` | `DIR_COMMA_SYM`
`static java.lang.String` | `DIR_PIPE_SYM` file list delimitor
`static java.lang.String` | `EMPTY_DELIMITER`
`static java.lang.String` | `GUIDE_WINDOW_PROPS`
`static java.lang.String` | `HOURS_LABEL`
`static java.lang.String` | `INTROHELP_LOC`
`static java.lang.String` | `LARGE_LOGO`
`static java.lang.String` | `LARGE_LOGO_NAME`
`static java.lang.String` | `MINUTES_LABEL` CONFIG FILTERS
`static java.lang.String` | `PROPS_FILE_NAME` Filesystem location for the application configuration properties file.
`static java.lang.String` | `PROPS_TAGLIB` Filesystem location for the application configuration properties file.
`static java.lang.String` | `PROPS_USER_PREFS` Filesystem location for the application configuration properties file.
`static java.lang.String` | `SMALL_LOGO`
`static java.lang.String` | `SMALL_LOGO_NAME`
`static java.lang.String` | `UNIT_FORMAT_PREFIX_KEY`

Field Detail

### DASHBOARD_DELIMITER

    static final java.lang.String DASHBOARD_DELIMITER

See Also:
  Constant Field Values

### EMPTY_DELIMITER

    static final java.lang.String EMPTY_DELIMITER

See Also:
  Constant Field Values

### GUIDE_WINDOW_PROPS

    static final java.lang.String GUIDE_WINDOW_PROPS

See Also:
  Constant Field Values

### PROPS_FILE_NAME

    static final java.lang.String PROPS_FILE_NAME

  Filesystem location for the application configuration properties file.

  See Also:
    Constant Field Values

### PROPS_TAGLIB

    static final java.lang.String PROPS_TAGLIB

  Filesystem location for the application configuration properties file.

  See Also:
    Constant Field Values

### PROPS_USER_PREFS

    static final java.lang.String PROPS_USER_PREFS

  Filesystem location for the application configuration properties file.

  See Also:
    Constant Field Values

### DIR_PIPE_SYM

    static final java.lang.String DIR_PIPE_SYM

  file list delimitor

  See Also:
    Constant Field Values

### DIR_COMMA_SYM

    static final java.lang.String DIR_COMMA_SYM

See Also:
  Constant Field Values

### UNIT_FORMAT_PREFIX_KEY

    static final java.lang.String UNIT_FORMAT_PREFIX_KEY

See Also:
  Constant Field Values

### MINUTES_LABEL

    static final java.lang.String MINUTES_LABEL

  CONFIG FILTERS

  See Also:
    Constant Field Values

### HOURS_LABEL

    static final java.lang.String HOURS_LABEL

See Also:
  Constant Field Values

### DAYS_LABEL

    static final java.lang.String DAYS_LABEL

See Also:
  Constant Field Values

### SMALL_LOGO

    static final java.lang.String SMALL_LOGO

See Also:
  Constant Field Values

### SMALL_LOGO_NAME

    static final java.lang.String SMALL_LOGO_NAME

See Also:
  Constant Field Values

### LARGE_LOGO

    static final java.lang.String LARGE_LOGO

See Also:
  Constant Field Values

### LARGE_LOGO_NAME

    static final java.lang.String LARGE_LOGO_NAME

See Also:
  Constant Field Values

### COOKIE_HIDE_HELP

    static final java.lang.String COOKIE_HIDE_HELP

See Also:
  Constant Field Values

### INTROHELP_LOC

    static final java.lang.String INTROHELP_LOC

See Also:
  Constant Field Values

### CHANGE_OWNER_TITLE

    static final java.lang.String CHANGE_OWNER_TITLE

See Also:
  Constant Field Values

### AJAX_ELEMENT

    static final java.lang.String AJAX_ELEMENT

  AJAX Constants

  See Also:
    Constant Field Values

### AJAX_OBJECT

    static final java.lang.String AJAX_OBJECT

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.